using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting;

namespace Artech.MyRemoting.RemoteService
{
    public class CalculatorService:MarshalByRefObject
    {
        private int _callCount;

        public CalculatorService()
        {
            Console.WriteLine("Remote object is activated at {0}\n", DateTime.Now.ToString("hh:mm:ss"));
        }

        public double Add(double x, double y)
        {
            this._callCount++;
            return x + y;
        }

        public int GetCallCount()
        {
            return this._callCount;
        }
    }
}
